Anaconda - UnsatisfiableError: The following specifications were found to be in conflict

472
February 03, 2018, at 01:12 AM

When I was trying to install a module 'pymc' through anaconda environments, it showed the error message as follows:

UnsatisfiableError: The following specifications were found to be in conflict:

  • blaze -> pyyaml -> python[version='>=2.7,<2.8.0a0'] -> vc=9

  • blaze -> pyyaml -> yaml -> *[track_features=vc9]

  • pymc Use "conda info " to see the dependencies for each package.

I am using Python 2.7.14, and I installed anaconda 1.6.9 on a Windows. I am new to Python. I first tried to use cmd to install the module pymc and I ran into a lot of problems such as the requirement for install g77 compiler on windows. After I got the compiler from MinGW and also installed the Microsoft Visual C++ Compiler for Python, I still cannot install the module because there came new errors. That is when I found there is pymc module listed in anaconda environment that I can add manually, but it showed this conflict error.

I do not know whether the conflict comes from all those other stuff I installed above or not. Please HELP! Thanks!

READ ALSO
Django: Is it OK to set a field to allow null which is assigned in clean func?

Django: Is it OK to set a field to allow null which is assigned in clean func?

My Career model has fields, since, until, and currently_employed

122
Pandas: how to create a running count column?

Pandas: how to create a running count column?

I have a flat text file of the form (column headers added by me)

218
Python - why is this a syntax error [on hold]

Python - why is this a syntax error [on hold]

I get a syntax error at the except key word and I can't see why

115